<?php
if ( ! defined( 'WP_REDIS_HOST' ) ) {
	define(
		'WP_REDIS_HOST',
		getenv( 'WP_REDIS_HOST' ) ?: '127.0.0.1'
	);
}

if ( ! defined( 'WP_REDIS_PORT' ) ) {
	define(
		'WP_REDIS_PORT',
		( int ) ( getenv( 'WP_REDIS_PORT' ) ?: 6379 )
	);
}

if ( ! defined( 'WP_REDIS_DATABASE' ) ) {
	define(
		'WP_REDIS_DATABASE',
		( int ) ( getenv( 'WP_REDIS_DATABASE' ) ?: 0 )
	);
}
